/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENERESULTS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgeneresults.findAll", query = "SELECT t FROM Tgeneresults t"),
    @NamedQuery(name = "Tgeneresults.findByResultcode", query = "SELECT t FROM Tgeneresults t WHERE t.tgeneresultsPK.resultcode = :resultcode"),
    @NamedQuery(name = "Tgeneresults.findByLanguagecode", query = "SELECT t FROM Tgeneresults t WHERE t.tgeneresultsPK.languagecode = :languagecode"),
    @NamedQuery(name = "Tgeneresults.findByRecordversion", query = "SELECT t FROM Tgeneresults t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgeneresults.findByDescription", query = "SELECT t FROM Tgeneresults t WHERE t.description = :description")})
public class Tgeneresults implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgeneresultsPK tgeneresultsPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Basic(optional = false)
    @Column(name = "DESCRIPTION")
    private String description;
    @JoinColumn(name = "LANGUAGECODE", referencedColumnName = "LANGUAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenelanguage tgenelanguage;

    public Tgeneresults() {
    }

    public Tgeneresults(TgeneresultsPK tgeneresultsPK) {
        this.tgeneresultsPK = tgeneresultsPK;
    }

    public Tgeneresults(TgeneresultsPK tgeneresultsPK, String description) {
        this.tgeneresultsPK = tgeneresultsPK;
        this.description = description;
    }

    public Tgeneresults(String resultcode, String languagecode) {
        this.tgeneresultsPK = new TgeneresultsPK(resultcode, languagecode);
    }

    public TgeneresultsPK getTgeneresultsPK() {
        return tgeneresultsPK;
    }

    public void setTgeneresultsPK(TgeneresultsPK tgeneresultsPK) {
        this.tgeneresultsPK = tgeneresultsPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Tgenelanguage getTgenelanguage() {
        return tgenelanguage;
    }

    public void setTgenelanguage(Tgenelanguage tgenelanguage) {
        this.tgenelanguage = tgenelanguage;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgeneresultsPK != null ? tgeneresultsPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgeneresults)) {
            return false;
        }
        Tgeneresults other = (Tgeneresults) object;
        if ((this.tgeneresultsPK == null && other.tgeneresultsPK != null) || (this.tgeneresultsPK != null && !this.tgeneresultsPK.equals(other.tgeneresultsPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgeneresults[ tgeneresultsPK=" + tgeneresultsPK + " ]";
    }
    
}
